Jump to content

sivapathasunderam

Members
  • Content count

    101
  • Joined

  • Last visited

Community Reputation

10 Good

About sivapathasunderam

  • Rank
    Rising Star

Personal Information

  • Location
    Muscat
  • Interests
    Travel

My Work

  • Occupation
    Draughtsman
  • Discipline
    Transport

My Software

  • Main CAD Product
    AutoCAD
  • Current Product Version
    2013
  • First AutoCAD Version
    AutoCAD 2000
  • Other Applications
    Civil 3d

My Computer

  • Operating System
    Windows 7
  • Monitor
    Samsung LED Monitor
  • RAM
    4 GB
  • Graphics
    NVIDIA GeForce GT 240
  • Primary Storage
    195 GB
  • Secondary Storage
    736 GB
  1. sivapathasunderam

    Select texts & change color

    many thanks Bigal Last question! If I want to add different color, say color number 2 to this line (-0.6 -1.127) (36.9 1.245)
  2. sivapathasunderam

    Select texts & change color

    thanks a lot if I want to add more lines Example: (-0.274,3.183) (11.324,2.947)
  3. sivapathasunderam

    Select texts & change color

    help with error code (defun c:somework () (setvar "cmdecho" 0) (command "_.select" "Fence" "-0.6,1.127" "36.9,1.245" " ") (command "_.change" "p" "c" "1") (princ) )
  4. sivapathasunderam

    Create file & Run the code

    It's ask Macro name thanks Siva
  5. sivapathasunderam

    Create file & Run the code

    Can anyone show me with an screencast how to create vb file & run the code Private Sub CommandButtonSmooth_Click() Dim sset As AcadSelectionSet Dim v(0) As Variant Dim lifiltertype(0) As Integer Dim plineObj As AcadLWPolyline Dim oLWP As AcadLWPolyline Dim i As Long Dim var As Variant Dim oSS() As AcadEntity Dim oGr As AcadGroup Set oGr = ThisDrawing.Groups.Add("QWERT") Set sset = Nothing For i = 0 To ThisDrawing.SelectionSets.Count - 1 Set sset = ThisDrawing.SelectionSets.Item(i) If sset.Name = "ss1" Then sset.Clear Exit For Else Set sset = Nothing End If Next i If sset Is Nothing Then Set sset = ThisDrawing.SelectionSets.Add("ss1") End If 'create a selection set of all the entities on a given layer 'here they are all lw polylines lifiltertype(0) = 8 v(0) = "jhl_9.25_begin" sset.Select acSelectionSetAll, , , lifiltertype, v ReDim Preserve oSS(0 To sset.Count - 1) As AcadEntity For i = 0 To sset.Count - 1 Set oSS(i) = sset.Item(i) Next i 'add plines to group oGr.AppendItems oSS Dim GRname As String GRname = oGr.Name ' using SendCommand method with Group ThisDrawing.SendCommand "_PEDIT" & vbCr & "M" & vbCr & "G" & vbCr & GRname & vbCr & vbCr & "J" & vbCr & "0.0" & vbCr & vbCr ' deleting group and clearing selection set oGr.Delete sset.Clear 'start to pedit spline or fit here Dim oGroup As AcadGroup Set oGroup = ThisDrawing.Groups.Add("ZERO") GRname = oGroup.Name 'select all the joined plines sset.Select acSelectionSetAll, , , lifiltertype, v ReDim Preserve oSS(0) As AcadEntity For i = 0 To sset.Count - 1 Set oLWP = sset.Item(i) Set oSS(0) = sset.Item(i) 'create group with one item oGroup.AppendItems oSS If oLWP.Closed Then 'Spline ThisDrawing.SendCommand "_PEDIT" & vbCr & "M" & vbCr & "G" & vbCr & GRname & vbCr & vbCr & "S" & vbCr & vbCr Else 'Fit ThisDrawing.SendCommand "_PEDIT" & vbCr & "M" & vbCr & "G" & vbCr & GRname & vbCr & vbCr & "F" & vbCr & vbCr End If 'remove the pline from the group oGroup.RemoveItems oSS Next i sset.Delete oGroup.Delete End Sub Approved VB code for Joining lwpolylines
  6. sivapathasunderam

    Upgrade of Plan Production tools

    No one reply!!! thanks Autodesk
  7. sivapathasunderam

    Need a setting file

    Yes Sir, It's is a Style I think it's too hard to search & find, better to get help from some civil 3d experts
  8. sivapathasunderam

    Need a setting file

    Hello; I need a cross section civil3d setting file 'FORMAT' as below Image Offset Elevation Labels Cut fill qauntity thanks Siva
  9. sivapathasunderam

    Large hatch error

    thanks for the suggestion to my thread Siva
  10. Dear anyone; I need to know, I have an Xref file with over 200 layers, that Xref file I need to attached to many dwgs, So I will attach that Xref to one dwg, In that xref dwg nearly half of the layers need to switch off this setting I need to do for many dwgs, Is possible to get that layers setting as txt file I think is more enough clear to anyone (You will say why don't you copy one more xref to some where & switch off / delete the no need layers then attached to which which file you want) First of all I need to know how to create the setting file, then we are working with server main Xref can't change & it is always updating) thanks Siva
  11. sivapathasunderam

    Join polyline

    Hello experts; I have to solve this Polyline Join issue drawing attached: red circles area to be joined as required single for solid hatch, This type of files getting from the Road design engineers thanks Siva Polyline Issue problem for Cad_Tutor.dwg
  12. sivapathasunderam

    Label points X,Y,Z

    no worries, it's working fine thanks Siva
  13. sivapathasunderam

    Label points X,Y,Z

    I did the same but error message appears, again I look into your program I find that I should not change the cad file name, once again I will try........ thanks Siva
  14. sivapathasunderam

    Label points X,Y,Z

    Hi marko_ribar; In some situation space problems & overlapping issues, to avoid that I prefer this way Example of the Problem: thanks Siva
  15. Reduce too many segments (vertex) (like line & arc)
×